CONFIG += console
CONFIG += debug_and_release build_all
CONFIG += precompile_header

win32 {
	DEFINES += WINVER=0x501
	DEFINES += _WIN32_WINNT=0x501
	DEFINES += __WIN32__
	DEFINES += __x86__
	DEFINES += _CRT_SECURE_NO_WARNINGS 
	DEFINES += _CRT_NONSTDC_NO_WARNINGS 
	DEFINES += _SCL_SECURE_NO_WARNINGS
	DEFINES += WIN32_LEAN_AND_MEAN
	DEFINES += NOMINMAX 
}



# Always create debugging symbols
unix:QMAKE_CXXFLAGS += -g
unix:QMAKE_CXXFLAGS += -std=c++0x
unix:QMAKE_CXXFLAGS += -frounding-math

win32:QMAKE_CXXFLAGS += /MP

win32:QMAKE_CXXFLAGS += /Fd$(TargetDir)\\$(TargetName).pdb

Debug|Win32 {
	win32:QMAKE_CXXFLAGS += /MDd /RTC1 /GS
}

Release|Win32 {
	win32:QMAKE_CXXFLAGS += /MD /Zi /Ot /GS
}

win32:QMAKE_LFLAGS_DEBUG += /NODEFAULTLIB:LIBCMTD 
win32:QMAKE_LFLAGS_RELEASE += /NODEFAULTLIB:LIBCMT /DEBUG /OPT:REF /OPT:ICF


INCLUDEPATH += ..
DEPENDPATH += ..

CONFIG(debug, debug|release) {
	DESTDIR = debug
	OBJECTS_DIR = debug/obj
} else {
	DESTDIR = release
	OBJECTS_DIR = release/obj
}

PRECOMPILED_HEADER = "reconstruction/precompiled.h"

HEADERS += "reconstruction/c3dConstructBC.h"
HEADERS += "reconstruction/c3dConstructDG.h"
HEADERS += "reconstruction/c3dHoleTreatment.h"
HEADERS += "reconstruction/c3dInflate.h"
HEADERS += "reconstruction/c3dMakeConformBC.h"
HEADERS += "reconstruction/c3dMath.h"
HEADERS += "reconstruction/c3dMeshFairing.h"
HEADERS += "reconstruction/c3dSculpture.h"
HEADERS += "reconstruction/c3dSegmentBC.h"
HEADERS += "reconstruction/c3dShared.h"
HEADERS += "reconstruction/connect3D.h"
HEADERS += "reconstruction/c3dDataStructures.h"
HEADERS += "reconstruction/precompiled.h"
HEADERS += "FileIO.h"

SOURCES += "reconstruction/c3dConstructBC.cpp"
SOURCES += "reconstruction/c3dConstructDG.cpp"
SOURCES += "reconstruction/c3dDataStructures.cpp"
SOURCES += "reconstruction/c3dHoleTreatment.cpp"
SOURCES += "reconstruction/c3dInflate.cpp"
SOURCES += "reconstruction/c3dMakeConformBC.cpp"
SOURCES += "reconstruction/c3dMath.cpp"
SOURCES += "reconstruction/c3dMeshFairing.cpp"
SOURCES += "reconstruction/c3dSculpture.cpp"
SOURCES += "reconstruction/c3dSegmentBC.cpp"
SOURCES += "reconstruction/c3dShared.cpp"
SOURCES += "reconstruction/connect3D.cpp"
SOURCES += "main.cpp"
SOURCES += "FileIO.cpp"
SOURCES += "ThirdParty/DisjointSets/DisjointSets.cpp"
SOURCES += "ThirdParty/ply/plyfile.cpp"


INCLUDEPATH += reconstruction
INCLUDEPATH += ThirdParty/cpp-btree-1.0.1
INCLUDEPATH += ThirdParty/ply
INCLUDEPATH += ThirdParty/Vector3D
INCLUDEPATH += ThirdParty/DisjointSets
INCLUDEPATH += ../boost_1_53_0
INCLUDEPATH += ../CGAL-4.1/include
INCLUDEPATH += ../CGAL-4.1/auxiliary/gmp/include
INCLUDEPATH += ../CGAL-4.1/auxiliary/gmp/include

unix {
	LIBS += -L/usr/local/lib -lCGAL_Core
	LIBS += -L/usr/local/lib -lCGAL
	LIBS += -L/usr/local/lib -lgmp
	LIBS += -L/usr/local/lib -lboost_thread
}

win32:LIBPATH += ../CGAL-4.1/auxiliary/gmp/lib
win32:LIBPATH += ../boost_1_53_0/stage/lib

CONFIG(debug, debug|release) {
	LIBPATH += ../debug
	win32:LIBPATH += ../CGAL-4.1/lib/Debug
	win32:LIBS += -LCGAL_Core-vc110-mt-gd-4.1
	win32:LIBS += -LCGAL-vc110-mt-gd-4.1
	win32:LIBS += -Llibboost_thread-vc110-mt-gd-1_53
	win32:LIBS += -L../CGAL-4.1/auxiliary/gmp/lib -llibgmp-10 
	win32:LIBS += -Llibmpfr-4
} else {
	LIBPATH += ../release
	win32:LIBPATH += ../CGAL-4.1/lib/Release
	win32:LIBS += -LCGAL-vc110-mt-4.1 
	win32:LIBS += -LCGAL_Core-vc110-mt-4.1 
	win32:LIBS += -L../CGAL-4.1/auxiliary/gmp/lib -llibgmp-10 
	win32:LIBS += -Llibmpfr-4  
	win32:LIBS += -Llibboost_thread-vc110-mt-1_53
}

TARGET = connect3d




